orm

## Class Nota

- java.lang.Object
- - orm.Nota

    public class Nota
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Nota()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Asignatura` `getAsignatura_id_fk()`
`Estudiante` `getEstudiante_id_fk()`
`int` `getId_pk()`
`int` `getORMID()`
`java.lang.Double` `getValor()`
`void` `setAsignatura_id_fk(Asignatura value)`
`void` `setEstudiante_id_fk(Estudiante value)`
`void` `setORM_Asignatura_id_fk(Asignatura value)` This method is for internal use only.
`void` `setORM_Estudiante_id_fk(Estudiante value)` This method is for internal use only.
`void` `setValor(double value)`
`void` `setValor(java.lang.Double value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Nota

    public Nota()

### Method Detail

#### getId_pk

    public int getId_pk()

#### getORMID

    public int getORMID()

#### setValor

    public void setValor(double value)

#### getValor

    public java.lang.Double getValor()

#### setValor

    public void setValor(java.lang.Double value)

#### getEstudiante_id_fk

    public Estudiante getEstudiante_id_fk()

#### setEstudiante_id_fk

    public void setEstudiante_id_fk(Estudiante value)

#### setORM_Estudiante_id_fk

    public void setORM_Estudiante_id_fk(Estudiante value)

This method is for internal use only.

#### getAsignatura_id_fk

    public Asignatura getAsignatura_id_fk()

#### setAsignatura_id_fk

    public void setAsignatura_id_fk(Asignatura value)

#### setORM_Asignatura_id_fk

    public void setORM_Asignatura_id_fk(Asignatura value)

This method is for internal use only.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`